Summary:	Default GTK+2 theme engines
Summary(pl.UTF-8):	Moduły motywów do GTK+2
Name:		gtk2-engines
Version:	2.20.2
Release:	7
Epoch:		1
License:	GPL v2+ and LGPL v2+
Group:		Themes/GTK+
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gtk-engines/2.20/gtk-engines-%{version}.tar.bz2
# Source0-md5:	5deb287bc6075dc21812130604c7dc4f
URL:		http://gtk.themes.org/
BuildRequires:	gettext-tools
BuildRequires:	gtk+2-devel >= 2:2.20.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	pkgconfig
Requires(post):	gtk+2 >= 2:2.12.9-3
Requires:	gtk+2 >= 2:2.20.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if "%{_lib}" != "lib"
%define		libext		%(lib="%{_lib}"; echo ${lib#lib})
%define		_gtkconfdir	/etc/gtk%{libext}-2.0
%define		pqext		-%{libext}
%else
%define		_gtkconfdir	/etc/gtk-2.0
%define		pqext		%{nil}
%endif

%define		_noautoreq	%{__noauto_regexp_helper -p pkgconfig gtk.-2.0}

%description
These are the graphical engines for the various GTK+ toolkit themes.

%description -l pl.UTF-8
Pakiet ten zawiera moduły różnych motywów do biblioteki GTK+.

%package themes
Summary:	Various GTK+ toolkit themes
Summary(pl.UTF-8):	Różne motywy do biblioteki GTK+
Group:		Themes/GTK+
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	gnome-themes-Clearlooks
Provides:	gnome-themes-ThinIce
Provides:	gtk2-theme-engine-Clearlooks
Provides:	gtk2-theme-engine-Industrial
Provides:	gtk2-theme-engine-Smooth
Provides:	gtk2-theme-engine-ThinIce
Obsoletes:	gnome-themes-LighthouseBlue
Obsoletes:	gnome-themes-LighthouseBlue
Obsoletes:	gnome-themes-ThinIce
Obsoletes:	gtk-engines = 1.9.0
Obsoletes:	gtk2-theme-engine-Industrial
Obsoletes:	gtk2-theme-engine-Smooth
Obsoletes:	gtk2-theme-engine-ThinIce
Obsoletes:	gtk2-theme-engine-lighthouseblue

%description themes
Various GTK+ toolkit themes.

%description themes -l pl.UTF-8
Różne motywy do biblioteki GTK+.

%prep
%setup -q -n gtk-engines-%{version}

%build
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# no .la for GTK+ loadable modules
%{__rm} $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/*/engines/*.la

%find_lang gtk-engines

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
gdk-pixbuf-query-loaders%{pqext} > %{_gtkconfdir}/gdk-pixbuf.loaders
exit 0

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gtk-2.0/*/engines/*.so
%{_pkgconfigdir}/gtk-engines-2.pc

%files themes -f gtk-engines.lang
%defattr(644,root,root,755)
%doc ChangeLog README
%dir %{_datadir}/gtk-engines
%{_datadir}/gtk-engines/*.xml
%dir %{_datadir}/themes/Redmond
%{_datadir}/themes/Clearlooks
%{_datadir}/themes/Crux
%{_datadir}/themes/Industrial
%{_datadir}/themes/Mist
%{_datadir}/themes/Redmond/gtk-2.0
%{_datadir}/themes/ThinIce
%changelog
* Sun Mar 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gtk2-engines.git;a=log;h=master

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 0d9fa60
- x32 rebuild
- release 7 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 8c1e6b3
- updated gettext BR

* Sat Mar 01 2014 Elan Ruusamäe <glen@delfi.ee> 55c0081
- use '.' instead of unknown level of escaping needed

* Mon Feb 17 2014 Elan Ruusamäe <glen@delfi.ee> d21d0e0
- avoid pulling devel

* Tue Jan 28 2014 Jan Rękorajski <baggins@pld-linux.org> 75e33e3
- no need to rebuild auto*

* Mon Jul 23 2012 Marcin Krol <hawk@tld-linux.org> 68c5056
- release 4 (by relup.sh)

* Sun Jul 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 7f22d58
- en@shaw locale is now supported

* Fri Oct 15 2010 Jan Rękorajski <baggins@pld-linux.org> 3896848
- rel 3
- fixed reqs

* Fri Oct 15 2010 Jan Rękorajski <baggins@pld-linux.org> d903537
- rel 2
- moved arch independent theme definitions to -themes package

* Sun Oct 03 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 7c678e8
- updated to 2.20.2

* Sat Apr 17 2010 Marcin Banasiak <marcin.banasiak@gmail.com> b404069
- updated to 2.20.1

* Tue Mar 30 2010 Marcin Banasiak <marcin.banasiak@gmail.com> cc6b013
- updated to 2.20.0; merged changes from DEVEL

* Wed Jan 27 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 52002b3
- updated to 2.18.5

* Fri Sep 25 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 1f1012f
- updated to 2.18.4

* Wed May 20 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 035658b
- updated to 2.18.2

* Mon Apr 13 2009 Marcin Banasiak <marcin.banasiak@gmail.com> a3bf951
- updated to 2.18.1

* Mon Mar 16 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 0b5a7ba
- updated to 2.18.0; merged changes from DEVEL

* Wed Oct 22 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 968afea
- updated to 2.16.1

* Sat Sep 27 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 5deca1b
- updated md5

* Sat Sep 27 2008 Marcin Banasiak <marcin.banasiak@gmail.com> ef0d207
- updated to 2.16.0; merged changes from DEVEL

